org.opengis.cite.ogcapifeatures10.util

## Class TestSuiteLogger

- java.lang.Object
- - org.opengis.cite.ogcapifeatures10.util.TestSuiteLogger

-     public class TestSuiteLogger
      extends Object

  Logging utility class that provides simple access to the JDK Logging API. Set the "java.util.logging.config.file" system property to specify the location of the desired logging configuration file. A sample configuration file is available at `src/main/config/logging.properties`.
  See Also:
    `LogManager`

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isLoggable(Level level)` Indicates if the logger is enabled at a given logging level.
    `static void` | `log(Level level, String message)` Logs a simple message at the specified logging level.
    `static void` | `log(Level level, String message, Exception except)` Logs a message at the specified logging level with the given Exception object that represents a noteworthy error condition.
    `static void` | `log(Level level, String message, Object[] params)` Logs a message at the specified logging level with the given message parameters.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### log

          public static void log(Level level,
                                 String message,
                                 Object[] params)

      Logs a message at the specified logging level with the given message parameters.
      Parameters:
        `level` - The logging `level`.
        `message` - A String representing the content of the log message.
        `params` - An array of message parameters.

    - #### log

          public static void log(Level level,
                                 String message,
                                 Exception except)

      Logs a message at the specified logging level with the given Exception object that represents a noteworthy error condition.
      Parameters:
        `level` - The logging `level`.
        `message` - A String representing the content of the log message.
        `except` - An object that indicates an exceptional situation.

    - #### log

          public static void log(Level level,
                                 String message)

      Logs a simple message at the specified logging level.
      Parameters:
        `level` - The logging `level`.
        `message` - A String representing the content of the log message.

    - #### isLoggable

          public static boolean isLoggable(Level level)

      Indicates if the logger is enabled at a given logging level. Message levels lower than this value will be discarded.
      Parameters:
        `level` - The logging `level`.
      Returns:
        true if the logger is currently enabled for this logging level; false otherwise.

Copyright © 2023 Open Geospatial Consortium. All rights reserved.